 <template>
   <el-container style="padding: 40px 15%;">
    <el-row class="sech-left" style="width: 100%;">
        <el-col :span="16">
        <el-row class="s-seach" >
                <el-col :span="20">
                <el-input type="text" v-model="seachText" />
            </el-col>
            <el-col :span="4">
            <el-button @click="Seachs()">搜索</el-button>
            </el-col>
        </el-row>
        <el-row style="margin-top: 20px;" class="s-nav">
            <el-col :span="24">
            <el-menu
            :default-active="activeIndex"
            class="el-menu-demo nav-list "
            mode="horizontal"
            @select="handleSelect"
        >
            <!-- <div class="flex-grow" /> -->
            <el-menu-item index="1" @click="seachType='all'">全部</el-menu-item>
            <el-menu-item index="2" @click="seachType='post'">帖子</el-menu-item>
            <el-menu-item index="3" @click="seachType='topic'">话题</el-menu-item>
            <el-menu-item index="4" @click="seachType='user'">用户</el-menu-item>
        </el-menu></el-col>
        </el-row>
        <el-row class="s-topic-list" v-if="seachType=='all' || seachType=='topic'">
            <h1>话题</h1>
            <topicList/>
        </el-row>
        <el-row class="s-user-list" v-if="seachType=='all' || seachType=='user'">
            <h1>用户</h1>
            <userList/>
        </el-row>
        <el-row class="s-post-list" v-if="seachType=='all' || seachType=='post'">
            <h1>帖子</h1>
            <postList/>
        </el-row>
        </el-col>
        <!-- 右区域 -->
        <el-col :span="8" class="seach-right" style="padding-left: 40px;">
        <el-row class="s-record">
            <el-card style="width: 100%;" shadow="never">
                <div class="r-title">
                    搜索记录
                <div class="r-a" @click="remTagList()">清空</div>
                </div>
                <div class="r-tag-list">
                    <el-tag
                        v-for="(item,index) in items"
                        :key="index"
                        class="mx-1"
                        type="info"
                        effect="plain"
                        closable
                        @close="handleClose(item)"
                        > {{ item }} </el-tag>
                </div>
            </el-card>
        </el-row>
        </el-col>
    </el-row>
    </el-container>
 </template>
 
 <script lang="ts" setup>
 import { defineAsyncComponent, defineComponent,ref,reactive,onBeforeMount} from 'vue';
 import { useRoute }  from "vue-router"; 
 import postList from './../../components/seach/postList.vue'
 import topicList from './../../components/seach/topicList.vue'
 import userList from './../../components/seach/userList.vue'
//  const components = {
//     postList,
//     topicList
//  }
const route = useRoute();
// ts生命周期函数，挂载前
onBeforeMount(()=>{
    // const seachType = route.query.seachNav
    const text = route.query.text;
})
// 搜索框文字
 const seachText = ref(route.query.text);
//  显示类型
 const seachType = ref('all');
 const activeIndex = ref('1')
 const items = reactive(['达达利亚','枫原万叶','丹恒','艾尔海森'])
const handleSelect = (key: string, keyPath: string[]) => {
  console.log(key, keyPath)
}
// 搜索的方法
const Seachs = ()=>{
    
}
// 删除单个tag
const handleClose = (item: string) => {
    items.splice(items.indexOf(item), 1)
}
// 删除所有tag
const remTagList = () =>{
    items.length = 0;
}
//  export default {
 
//  }
 </script>
 
 <style lang="less" scoped>
 .sech-left{
    .s-seach{
        .el-input,.el-button{
            height: 46px;
            font-size: 18px;
            // border: none;
        }
        // .el-input:focus{
        //     border: none;
        // }
        .el-button{
            width: 100%;
            background-color: rgb(145, 219, 250);
            color: black;
        }
    }
    .s-nav{
            .el-menu{
                border-radius: 10px;
                padding: 0 10px;
                .el-menu-item{
                    font-size: 18px;
                    font-weight: 500;
                    margin: 0 10px;
                }
            }
        }
    h1{
        padding: 10px;
        font-size:22px;
        color: #626262;
        font-weight: 700;
        letter-spacing: 2px;
    }
 }
 .seach-right{
    .s-record{
        .r-title{
            padding: 10px;
            border-bottom: 1px #b3b3b3 solid;
            .r-a{
                float: right;
                color: #999;
            }
        }
        .r-tag-list{
            min-height: 100px;
            padding: 10px;
            .el-tag{
                // width: 100px;
                height: 30px;
                font-size: 16px;
                margin:5px;
            }
        }
    }
 }
 </style>